.cb-standard-more-post-block {
    margin: 32px 0;
    width: 100%;
}

.cb-standard-more-post-block--related-news .cb-standard-more-post-block__filters {
    display: none;
}

.cb-standard-more-post-block__header {
    display: flex;
    align-items: center;
    margin-bottom: 16px;
    gap: 8px;
}

.cb-standard-more-post-block__title {
    color: #000;
    font-size: 22px;
    font-style: normal;
    font-weight: 900;
    line-height: 24px;
    text-transform: capitalize;
    margin: 0;
    white-space: nowrap;
}

.cb-standard-more-post-block__header .cb-trending__line {
    flex: 1;
    height: 2px;
    background: #dd3333;
    margin: 0;
    display: block;
}

.cb-standard-more-post-block__header .cb-trending__more {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    color: #000;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px;
    white-space: nowrap;
    transition: all .2s ease;
}

.cb-standard-more-post-block__header .cb-trending__more:hover,
.cb-standard-more-post-block__header .cb-trending__more:active {
  color: #8D0F10;
}

.cb-standard-more-post-block__filters {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-bottom: 16px;
}

.cb-standard-more-post-block__filter-btn {
    font-family: inherit;
    color: #5c5c5c;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 22px;
    padding: 4px 16px;
    border-radius: 50px;
    border: 1px solid #dfdfdf;
    background: #fff;
    cursor: pointer;
    white-space: nowrap;
    transition:
        background-color 0.3s ease,
        color 0.3s ease,
        border-color 0.3s ease;
}

.cb-standard-more-post-block__filter-btn:hover,
.cb-standard-more-post-block__filter-btn:active,
.cb-standard-more-post-block__filter-btn.active {
  color: #fff;
  background: #8D0F10;
  border-color: #8D0F10;
}

.cb-standard-more-post-block__filter-btn.active {
  color: #fff;
  background: #d33;
  border-color: #d33;
}

.cb-standard-more-post-block__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 24px;
    row-gap: 16px;
}

.cb-standard-more-post-block__item {
    display: flex;
    justify-content: space-between;
    padding-bottom: 16px;
    border-bottom: 1px solid #dfdfdf;
    gap: 16px;
}

.cb-standard-more-post-block__item-content {
    flex: 1;
    min-width: 0;
}

.cb-standard-more-post-block__item-title {
    margin: 0 0 10px 0;
    overflow: hidden;
    color: #000;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
}

.cb-standard-more-post-block__item-title a {
    text-decoration: none;
    color: inherit;
    transition: all .2s ease;
}

.cb-standard-more-post-block__item-title a:hover,
.cb-standard-more-post-block__item-title a:active {
    color: #8D0F10;
}

.cb-standard-more-post-block__item-thumb {
    flex-shrink: 0;
    width: 85px;
    height: 85px;
}

.cb-standard-more-post-block__item-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
    display: block;
}

.cb-standard-more-post-block__item .cb-trending__meta {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    font-size: 12px;
    color: #999;
}

.cb-standard-more-post-block__item .cb-trending__cat {
    color: #000;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    line-height: 14px;
}

.cb-standard-more-post-block__item .cb-trending__date {
    color: #555;
    font-size: 12px;
    line-height: 14px;
}

@media (min-width: 768px) {
    .cb-standard-more-post-block--related-news .cb-standard-more-post-block__item:nth-last-child(-n + 3) {
        padding-bottom: 0;
        margin-bottom: 0;
        border: none;
    }
}

@media (max-width: 767px) {
    .cb-standard-more-post-block--related-news .cb-standard-more-post-block__grid {
        grid-auto-flow: row;
        grid-auto-columns: auto;
    }

    .cb-standard-more-post-block--related-news .cb-standard-more-post-block__item-title {
        width: auto;
    }

    .cb-standard-more-post-block__filters {
        flex-wrap: nowrap;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
    }

    .cb-standard-more-post-block__filters::-webkit-scrollbar {
        display: none;
    }

    .cb-standard-more-post-block__grid-wrapper {
        margin-inline: -16px;
    }

    .cb-standard-more-post-block__grid {
        display: grid;
        grid-template-rows: repeat(3, min-content);
        grid-auto-flow: column;
        grid-auto-columns: max-content;
        grid-template-columns: none;
        padding-inline: 16px;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
    }

    .cb-standard-more-post-block__grid::-webkit-scrollbar {
        display: none;
    }

    .cb-standard-more-post-block__item-title {
        width: 199px;
    }

    .cb-standard-more-post-block__header .cb-trending__more {
      font-size: 17px;
    }
}
